Subject: RE: [mobile-ip] Minutes of London Meeting

From: "Patil Basavaraj (NET/Dallas)" <[email-masked]>
Date: Thu, 20 Sep 2001 13:29:10 -0500

Behcet,

The next revision of FMIPv6 will possibly address and clarify
these issues. I do agree that it is important to clearly specify
the mechanics to get some degree of interoperability between
implementatoins. I am hoping that Gopal Dommety (editor of
FMIPv6) will have noted your concerns and addresses them in
a new revision that should be out soon.

-Basavaraj

> 
> Hi Raj,
>   I extracted the following from the minutes you distributed 
> earlier. Are
> there answers to these questions now? Or they are still up in the air?
> 
> 
> 
> - What destination address to use in the F-BU? It was confirmed by
>   group that global IP address should be used instead of local address
>   as suggested by current specifications
> - Creating binding cache entry on previous access router (after
>   receiving Hack and after sending F-Back to the old link). It was
>   concluded that this is implementation specific and doesn't 
> really have
>   any protocol impact.
> - What source address to use when sending F-BU from newer AR?
> - Issues may be related to sending of F-NA (including only one IP
>   address suffices). The group provided comments that it is 
> essential to
>   know both Hack and F-Back.
> - When to change default router? There are two options proposed: after
>   receiving proxy PA (may be not) or after actually attaching 
> to the new
>   link (the new AR).
> 
> "Patil Basavaraj (NET/Dallas)" wrote:
> 
> Thanks in advance.
> 
> --
> Behcet
>

---

From: Behcet Sarikaya <[email-masked]>
Date: Thu, 20 Sep 2001 17:20:56 -0500

Raj,
  Maybe Rajeev can provide his answers? MN is at nAR right after receiving
PrRtrAdv. What are src and dst address values of F-BU and F-Back?
Sorry if this had already been discussed before.

> a new revision that should be out soon.

Regards,
--
Behcet

---

From: Rajeev Koodli <[email-masked]>
Date: Thu, 20 Sep 2001 17:44:53 -0700

Hello Bechet,

> Sorry if this had already been discussed before.

If the MN determines that it is on the newAR before sending the F-BU, it must
first formulate an address on the newAR. In order for this to happen, it must
notice some sort of link switching (from oldAR to newAR). Subsequently, it
can form a newCoA (without waiting for RtAdv) since it has already seen a
PrRtAdv. It must however, ensure that its newCoA is valid before sending any
packets. For this, I think, it may use F-NA and determine what global
IP address is to be used. After that, it can send a BU to the oldAR. This
BU is more like Previous Router Notification, rather than F-BU. This BU is
still needed to enable the forwarding of packets from oldAR to the MN.

Regarding the other questions you had brought up earlier, see my replies
below.

As I mentioned above, whatever the newAR allows.

- Issues may be related to sending of F-NA (including only one IP
  address suffices). The group provided comments that it is essential to
  know both Hack and F-Back.

This statement is not clear to me. Both HI and F-NA include old-CoA. I don't
know why you need to include both addresses in F-NA..

- When to change default router? There are two options proposed: after
  receiving proxy PA (may be not) or after actually attaching to the new
  link (the new AR).

MN should not change its default router prior to changing its link (to the
new router).

Regards,

-Rajeev